Page MenuHomePhabricator

OAI does not pass Jenkins tests (sqlite compatibility)
Closed, ResolvedPublic

Description

The OAI repository tests can be run in Jenkins because the extension is missing an entry point and is not compatible with sqlite.


Version: unspecified
Severity: normal

Details

Reference
bz65895

Event Timeline

bzimport raised the priority of this task from to Low.
bzimport set Reference to bz65895.
bzimport added a subscriber: Unknown Object (MLST).
hashar created this task.May 29 2014, 3:43 PM

Change 136107 had a related patch set uploaded by Hashar:
Ignore OAI unit tests

https://gerrit.wikimedia.org/r/136107

Change 136107 merged by jenkins-bot:
Ignore OAI unit tests

https://gerrit.wikimedia.org/r/136107

Change 136105 had a related patch set uploaded by Hashar:
Adds OAI.php default entry for unit tests

https://gerrit.wikimedia.org/r/136105

Change 136105 merged by jenkins-bot:
Adds OAI.php default entry for unit tests

https://gerrit.wikimedia.org/r/136105

We really need tests to pass when all wmf extensions are installed together. That is preventing us from progression toward the HHVM migrating. Raising priority to High.

hashar added a comment.Jul 8 2014, 8:51 AM

Not sure how to fix that one. The OAI updates table has a ut_page as a primary key and ut_sequence with auto_increment. Seems SQLite only supports auto_increment on primary key.

OAI is quite stable, does not have any tests and is supposed to be phased out eventually. Thus I am lowering the priority of this bug.

Reedy added a comment.Jul 8 2014, 10:29 AM

There seems to be quite a bit of functionality in the extension we don't use. There isn't an updates table in production...

mysql:wikiadmin@db1038 [oai]> show tables;
+---------------+

Tables_in_oai

+---------------+

oaiaudit
oaiuser

+---------------+
2 rows in set (0.00 sec)

mysql:wikiadmin@db1038 [oai]>

Reedy added a comment.Jul 8 2014, 3:57 PM

Updates table is on each wiki, not in the oai database

harvest table looks unused

What's the issue here, this extension doesn't even have tests? If you want schema updates to work, fine, but it's not blocking the migration in any way because Jenkins will test the DB and schema update method not used in production.

Change 149200 had a related patch set uploaded by MaxSem:
Add SQLite support to make Jenkins happy

https://gerrit.wikimedia.org/r/149200

Change 149200 abandoned by MaxSem:
Add SQLite support to make Jenkins happy

https://gerrit.wikimedia.org/r/149200

All patches mentioned in this report were merged or abandoned - is there more work left to do here (if yes: please reset the bug report status to NEW or ASSIGNED), or can you close this ticket as RESOLVED FIXED?

Change 207368 had a related patch set uploaded (by Legoktm):
Make OAI phpunit job voting, use generic job

https://gerrit.wikimedia.org/r/207368

Change 207368 merged by jenkins-bot:
Make OAI phpunit job voting, use generic job

https://gerrit.wikimedia.org/r/207368

Legoktm closed this task as Resolved.Apr 29 2015, 2:41 AM
Legoktm claimed this task.